ROXTERM(1)

NOM
roxterm - émulateur de terminal

SYNOPSIS

roxterm [-? | --help] [--help-all] [--help-gtk] [-u | --usage] [--geometry=GÉOMÉTRIE] [--appdir=RÉP] [--profile=PROFIL | -p PROFIL] [--colour-scheme=CLRS | --color-scheme=CLRS | -c CLRS] [--shortcut-scheme=RACCOURCIS | -s RACCOURCIS] [--separate] [--replace] [--fork] [--directory=RÉP | -d RÉP] [--show-menubar] [--hide-menubar] [--fullscreen-f] [--disable-sm] [--tab] [--zoom=ZOOM | -z ZOOM] [--title=TITRE | -T TITRE] [--tab-name=NOM | -n NOM] [--role=RÔLE] [--execute COMMANDE | -e COMMANDE]

DESCRIPTION

Cette page de manuel documente brièvement la commande roxterm.

roxterm est un émulateur de terminal.

OPTIONS

Ces programmes suivent la syntaxe habituelle GNU de la ligne de commande, avec des options longues commençant par deux tirets (`-'). Un résumé des options est inclus ci-dessous.

-? --help
    Afficher la description des options.

--help-all
    Afficher toutes les options.

--help-gtk
    Afficher toutes les options GTK+.

--usage
    Afficher le résumé de l'utilisation.

-d RÉPERTOIRE --directory=RÉPERTOIRE
    Exécuter la commande shell dans le RÉPERTOIRE .

--geometry=GÉOMÉTRIE
    Régler la taille et / ou la position du terminal suivant les spécifications de la géométrie d'X.

--appdir=RÉP
    Réperoire d'applications quand est lancé comme une application ROX.

--show-menubar --hide-menubar
    Que ce soit pour afficher ou masquer la barre de menus, modifier le profil. La valeur par défaut est de l'afficher.

--fullscreen -f
    Faire que la fenêtre initiale du terminal occupe tout l'écran sans marque de fenêtre.

--disable-sm
    Désactiver la gestion de session.

--tab
    Si cela est possible, ouvre le nouveau terminal dans une fenêtre existante au lieu de l'ouvrir dans une nouvelle fenêtre. Utilisé avec -T/--title l'onglet sera placé dans une fenêtre existante suivant le même modèle de titre s'il en existe une. Cette option a la préséance sur --zoom et --fullscreen.

--zoom=ZOOM -z ZOOM
    Échelonner la police de terminal par un facteur de zoom (1.0 est la taille normale).

-p PROFIL --profile=PROFIL
    Utilisez le profil nommé.

-c JEU DE COULEURS --colour-scheme=JEU DE COULEURS --color-scheme=JEU DE COULEURS
    Utilisez le jeu de couleurs nommé.

-s JEU DE RACCOURCIS CLAVIER --shortcut-scheme=JEU DE RACCOURCIS CLAVIER
    Utilisez le jeu de raccourcis clavier nommé.

--title=TITRE -T TITRE
    Sélectionner le modèle de titre des fenêtres. Peut inclure "%s" qui est remplacé par l'intégralité du contenu des étiquettes de l'onglet.

--tab-name=NOM -n NOM
    Définir le nom de l'onglet tel qu'affiché dans son l'étiquette. Peut inclure "%s" qui est remplacé par la chaîne de titre de la fenêtre sélectionnée par le terminal.

--separate
    Utiliser un processus distinct pour ce terminal.

--fork
    Toujours forker en arrière-plan. Habituellement la première instance reste au premier plan et les invocations suivantes se terminent une fois qu'elle ont demandé à l'instance maîtresse de traiter leurs commandes. Cette option force l'instance maîtresse à se forker elle-même en arrière-plan ; le processus au premier plan se termine lorsque le maître est prêt à traiter les commandes suivantes.

--replace
    Remplacer toute instance existante du service D-BUS de ROXTerm.

--role=RÔLE
    Définit le "rôle" du système de fenêtrage X conseillé pour la fenêtre en cours de création.

-e --execute
    Exécuter le reste de la ligne de commande dans le terminal. Doit être la dernière option. S'il n'y a qu'un seul argument, il est analysé au cas où il s'agirait d'une commande avec des arguments séparés par un espace qui a été transmise à roxterm entre guillemets. S'il y a plus d'un argument, ils sont traités comme une commande et les arguments ne sont pas analysés.

VOIR AUSSI

Le programme est entièrement documenté avec le fichier HTML file:///usr/share/doc/roxterm/fr/index.html .

AUTEUR

Cette page de manuel a été écrite par Tony Houghton <h@realh.co.uk>. Permission accordé de copier, distribuer et/ou modifier ce document selon les termes de la licence GNU General Public License, Version 2 ou toute version ultérieure publiée par la Free Software Foundation.

Sur les systèmes Debian, le texte complet de la GNU General Public License peut être trouvé à l'adresse /usr/share/common-licenses/GPL.

AUTEUR

Tony Houghton
    Développeur

COPYRIGHT
Copyright © 2005-2011 Tony Houghton